跳至內容

Gemini Omni Flash 1.1 Image to Video

整合

模型 id google/gemini-omni-flash/v1.1/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.80 800 API 點數 · ≈ ₽85.97 在此頁面執行

取得 API 金鑰
Google 圖像轉影片 4K 輸出唇形同步快速3–10 秒最高 4k #stylized#transform#lipsync

將第一個畫格製成含聲音的影片,支援選用的結束畫格和 3-10 秒長度

Google · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 20000

第一張圖像的動畫指示,包括在提供結束圖像時如何向其插值。

•必填 image_url
拖放檔案,或

指向動畫起始影格的 URL。

aspect_ratio 預設 16:9

輸出影片的長寬比。

resolution 預設 720p

輸出影片使用的解析度。

預設 8

輸出影片的長度,以秒為單位。

進階 end_image
end_image_url
拖放檔案,或

結束影格圖像 URL;可選填,以便在兩張圖像之間插值,同時遵循其列出的順序。

POST /run/google/gemini-omni-flash/v1.1/image-to-video?wait=20 報價 → $0.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Gemini Omni Flash 1.1 Image to Video

根據 `prompt` 將 `image_url` 製成動畫,也可朝選用的 `end_image_url` 進行插值。`duration` 範圍為 3 到 10 秒(預設 8),`aspect_ratio` 為 16:9 或 9:16,`resolution` 範圍為 360p 到 4k。輸出影片包含同步音訊。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 20,000 個字元
第一張圖像的動畫指示,包括在提供結束圖像時如何向其插值。
image_url必填 image
類型url · image
指向動畫起始影格的 URL。
end_image_url選填 end_image
類型url · image
結束影格圖像 URL;可選填,以便在兩張圖像之間插值,同時遵循其列出的順序。
aspect_ratio選填
類型enum
預設值16:9
16:99:16
輸出影片的長寬比。
resolution選填
類型enum
預設值720p
360p720p1080p4k
輸出影片使用的解析度。
duration選填
類型integer
預設值8
3 – 10
輸出影片的長度,以秒為單位。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/v1.1/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:圖像轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/google/gemini-omni-flash/v1.1/image-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt